Library Version 11.2.5.3

DB->get_heap_regionsize()
Prev | Chapter 2. The DB Handle | Next

## DB->get_heap_regionsize()

    #include <db.h>

    int
    DB->get_heap_regionsize(DB *db, u_int32_t *npagesp);

Used when the underlying database is configured to use the Heap access method. This method returns the number of pages in a region. This value may be set using the DB->set_heap_regionsize() method.

The `DB->get_heap_regionsize()` method may be called at any time during the life of the application.

The `DB->get_heap_regionsize()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### npagesp

The npagesp parameter references memory into which is copied the number of pages in a region.

### Class

DB

### See Also

Database and Related Methods, DB->set_heap_regionsize()

Prev | Up | Next
DB->get_heapsize() | Home | DB->get_lk_exclusive()